// router.js
import {RouterMount,createRouter} from 'uni-simple-router';

const router = createRouter({
	platform: process.env.VUE_APP_PLATFORM,  
	routes: [...ROUTES]
	
});
//全局路由前置守卫
router.beforeEach((to, from, next) => {
	next();
	 // setTimeout(()=>{  // 保证onLaunch 和 index 页面下 onLoad 生命周期的执行顺序
	 //        next();
	 //    },3000)
});
// 全局路由后置守卫
router.afterEach((to, from) => {
    console.log('跳转结束')
})

export {
	router,
	RouterMount
}